This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 03:36
Elapsed6m49s
Revision
Builderc1a4ce5b-7300-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/0281352e-0d54-408c-b3e9-be919d79fb49/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/0281352e-0d54-408c-b3e9-be919d79fb49/targets/test
infra-commit3f549bab2

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 03:36:52.515] process 30 exited with code 0 after 0.0m
I0331 03:36:52.515] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 03:36:52.515] Root: /workspace
I0331 03:36:52.515] cd to /workspace
I0331 03:36:52.515] Configure environment...
I0331 03:36:52.516] Call:  git show -s --format=format:%ct HEAD
W0331 03:36:52.520] fatal: not a git repository (or any of the parent directories): .git
I0331 03:36:52.520] process 43 exited with code 128 after 0.0m
W0331 03:36:52.520] Unable to print commit date for HEAD
I0331 03:36:52.521] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 03:36:52.997] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 03:36:53.878] process 44 exited with code 0 after 0.0m
I0331 03:36:53.878] Call:  gcloud config get-value account
... skipping 35 lines ...
W0331 03:43:30.887]     self.send(msg)
W0331 03:43:30.888]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 03:43:30.888]     self.connect()
W0331 03:43:30.888]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 03:43:30.888]     conn = self._new_conn()
W0331 03:43:30.888]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 03:43:30.888]     self, "Failed to establish a new connection: %s" % e
W0331 03:43:30.889] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fb446bb13c8>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 03:43:30.889] 
W0331 03:43:30.889] During handling of the above exception, another exception occurred:
W0331 03:43:30.889] 
W0331 03:43:30.889] Traceback (most recent call last):
W0331 03:43:30.889]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 03:43:30.889]     timeout=timeout
W0331 03:43:30.889]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 03:43:30.890]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 03:43:30.890]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 03:43:30.890]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 03:43:30.890] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fb446bb13c8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 03:43:30.891] 
W0331 03:43:30.891] During handling of the above exception, another exception occurred:
W0331 03:43:30.891] 
W0331 03:43:30.891] Traceback (most recent call last):
W0331 03:43:30.891]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 03:43:30.891]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 03:43:30.893]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 03:43:30.893]     resp = self.send(prep, **send_kwargs)
W0331 03:43:30.893]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 03:43:30.893]     r = adapter.send(request, **kwargs)
W0331 03:43:30.894]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 03:43:30.894]     raise ConnectionError(e, request=request)
W0331 03:43:30.894] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fb446bb13c8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 03:43:30.894] Traceback (most recent call last):
W0331 03:43:30.894]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 03:43:30.894]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 03:43:30.894]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 03:43:30.894]     check(*cmd)
W0331 03:43:30.895]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 03:43:30.895]     subprocess.check_call(cmd)
W0331 03:43:30.895]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 03:43:30.895]     raise CalledProcessError(retcode, cmd)
W0331 03:43:30.895] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 03:43:30.895] Command failed
I0331 03:43:30.895] process 252 exited with code 1 after 6.6m
E0331 03:43:30.896] FAIL: metrics-kettle
I0331 03:43:30.896] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 03:43:31.414] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 03:43:32.088] process 256 exited with code 0 after 0.0m
I0331 03:43:32.088] Call:  gcloud config get-value account
I0331 03:43:33.019] process 268 exited with code 0 after 0.0m
I0331 03:43:33.019] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 03:43:33.020] Upload result and artifacts...
I0331 03:43:33.020] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244830910197534722
W0331 03:43:33.020] Missing local artifacts : /workspace/_artifacts
W0331 03:43:33.020] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 03:43:33.020] metadata not found or invalid, init with empty metadata
I0331 03:43:33.021] Call:  git rev-parse HEAD
W0331 03:43:33.027] fatal: not a git repository (or any of the parent directories): .git
E0331 03:43:33.027] Command failed
I0331 03:43:33.028] process 281 exited with code 128 after 0.0m
I0331 03:43:33.028] Call:  git rev-parse HEAD
I0331 03:43:33.034] process 282 exited with code 0 after 0.0m
I0331 03:43:33.034] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 03:43:34.547] process 283 exited with code 0 after 0.0m
I0331 03:43:34.548] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585622557518580'
... skipping 8 lines ...